Package org.eclipse.m2m.atl.emftvm.presentation

# Class EmftvmValidateAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.emf.edit.ui.action.ValidateAction
org.eclipse.m2m.atl.emftvm.presentation.EmftvmValidateAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`, `org.eclipse.jface.viewers.ISelectionChangedListener`

public class EmftvmValidateAction extends org.eclipse.emf.edit.ui.action.ValidateAction
Applies EMF Validation service batch constraints in addition to regular EMF constraints.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.action.ValidateAction

`org.eclipse.emf.edit.ui.action.ValidateAction.EclipseResourcesUtil`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final org.eclipse.emf.validation.service.IValidator<org.eclipse.emf.ecore.EObject>`
`validator`
EMF Validation service batch validator object.

### Fields inherited from class org.eclipse.emf.edit.ui.action.ValidateAction

`domain, eclipseResourcesUtil, selectedObjects, selectionProvider`

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`EmftvmValidateAction()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.emf.common.util.Diagnostic`
`validate(org.eclipse.core.runtime.IProgressMonitor progressMonitor)`

### Methods inherited from class org.eclipse.emf.edit.ui.action.ValidateAction

`createDiagnostician, handleDiagnostic, run, selectionChanged, setActiveWorkbenchPart, updateSelection`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### validator

protected final org.eclipse.emf.validation.service.IValidator<org.eclipse.emf.ecore.EObject> validator
EMF Validation service batch validator object.

## Constructor Details

### EmftvmValidateAction

public EmftvmValidateAction()

## Method Details

### validate

protected org.eclipse.emf.common.util.Diagnostic validate(org.eclipse.core.runtime.IProgressMonitor progressMonitor)

Overrides:
  `validate` in class `org.eclipse.emf.edit.ui.action.ValidateAction`